Last Comment Bug 883577 - Last page visited should not include private browsing windows
: Last page visited should not include private browsing windows
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: unspecified
: All All
: -- normal (vote)
: seamonkey2.21
Assigned To: neil@parkwaycc.co.uk
:
Mentors:
Depends on:
Blocks: 460895 837510
  Show dependency treegraph
 
Reported: 2013-06-15 16:12 PDT by neil@parkwaycc.co.uk
Modified: 2013-06-23 04:37 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
fixed


Attachments
Proposed patch (1021 bytes, patch)
2013-06-15 16:16 PDT, neil@parkwaycc.co.uk
iann_bugzilla: review+
philip.chee: feedback+
Details | Diff | Review
Branch patch (1015 bytes, patch)
2013-06-20 15:55 PDT, neil@parkwaycc.co.uk
bugspam.Callek: approval‑comm‑aurora+
bugspam.Callek: approval‑comm‑beta+
Details | Diff | Review

Description neil@parkwaycc.co.uk 2013-06-15 16:12:36 PDT
Steps to reproduce problem:
1. Configure a new browser window (or tab) to open the last page visited
2. Open a private window
3. Visit a page
4. Open a new browser window (or tab)

Actual result: page visited in private window opens
Comment 1 neil@parkwaycc.co.uk 2013-06-15 16:16:48 PDT
Created attachment 763172 [details] [diff] [review]
Proposed patch

Note: Patch includes relevant change from bug 883532.
Comment 2 Philip Chee 2013-06-17 07:29:09 PDT
Comment on attachment 763172 [details] [diff] [review]
Proposed patch

Tested with the STR in Comment 0. f=me.

>    // nsIWebProgressListener partial implementation
>    onLocationChange: function(aWebProgress, aRequest, aLocation, aFlags)
>    {
>      if (aWebProgress.DOMWindow.top == aWebProgress.DOMWindow &&
I think we can use aWebProgress.isTopLevel here thanks to Bug 666801.
[spotted a few other places where we could use .isTopLevel]
Comment 3 Ian Neal 2013-06-17 17:30:04 PDT
(In reply to Philip Chee from comment #2)
> >      if (aWebProgress.DOMWindow.top == aWebProgress.DOMWindow &&
> I think we can use aWebProgress.isTopLevel here thanks to Bug 666801.
> [spotted a few other places where we could use .isTopLevel]

Logged bug 884132 to cover that.
Comment 4 neil@parkwaycc.co.uk 2013-06-20 15:46:06 PDT
Pushed comm-central changeset c676fc4b9ae0.
Comment 5 neil@parkwaycc.co.uk 2013-06-20 15:55:04 PDT
Created attachment 765650 [details] [diff] [review]
Branch patch

[Approval Request Comment]
User impact if declined: Privacy leak
Risk to taking this patch (and alternatives if risky): Low

Note You need to log in before you can comment on or make changes to this bug.